---
title: "max"
excerpt: "Compute the maximum of the given arguments."
layout: manual
---

Compute the maximum of the given arguments.



```js
max(args: [number]) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `args` | `[number]` |  | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle = 70,
       length = max(15, 31, 4, 13, 22)
     }, %)
  |> line(end = [20, 0])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of max 0](data:image/png;base64,[encoded data, 60752 characters])


